This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 231703 - rhn_crash
rhn_crash
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-10 05:37 EST by Mayuresh Rajwadkar
Modified: 2012-06-20 12:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mayuresh Rajwadkar 2007-03-10 05:37:51 EST
Description of problem:

rhn_check crashes while checking with the RHN (satellite server)


This crash is related to a package verify scheduled for the system from the RHN
www-UI. The event log shows that the event is picked up but does not
show/completion/ failure. or probably timeout is too high...

It would be good if the script rhn_check trap its exit status and update the RHN
server that it failed, rather than dying abruptly. 

Version-Release number of selected component (if applicable):

RHN 4.1.5

How reproducible:
Not sure how I got the problem, however this is related to a rpm --verify
failure. I am unable to proceed as consecutive invocations of rhn_check seem to
do the same thing and I am not able to remove/cancel the event on the RHN


Steps to Reproduce:
1.
2.
3.
  
Actual results:
root@pit3.spd.analog.com [1428]%> rhn_check

Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 345, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 221, in handle_action
    return submit_response(action_id, status, message, data)
  File "/usr/sbin/rhn_check", line 124, in submit_response
    action_id, status, message, data)
  File "/usr/lib64/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 46, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 308, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 168, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 702, in send_http
    response.status, response.reason, response.msg)
xmlrpclib.ProtocolError: <ProtocolError for nwd3rhnsat1.spd.analog.com /XMLRPC:
500 Internal Server Error>


Expected results:
root@pit3.spd.analog.com [1428]%> rhn_check

Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 345, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 221, in handle_action
    return submit_response(action_id, status, message, data)
  File "/usr/sbin/rhn_check", line 124, in submit_response
    action_id, status, message, data)
  File "/usr/lib64/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 46, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 308, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 168, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 702, in send_http
    response.status, response.reason, response.msg)
xmlrpclib.ProtocolError: <ProtocolError for nwd3rhnsat1.spd.analog.com /XMLRPC:
500 Internal Server Error>
:: rhn_check failed to verify packages, notifying server for errors....


RHN www-UI should pick up the crash and mark the event history appropriately.

Additional info:
Comment 1 Mayuresh Rajwadkar 2007-03-10 10:31:05 EST
Hi,

Ok I deleted the system off the RHN, re-registered it on the same software
channel and it was showing fully updated...

Next, I know rpm --verify shows missing files for wget, so I scheduled a package
verify for wget, it did go through....
-------------------------------------------------------------- 
Summary:  	Verify deployed packages scheduled by mayuresh
Details: 	This action will be executed after 2007-03-10 09:13:41 CST.

This action's status is: Completed.
The client picked up this action on 2007-03-10 09:13:50 CST.
The client completed this action on 2007-03-10 09:13:51 CST.
Client execution returned "packages verified" (code 0)
Packages to be verified:

    * wget-1.10.2-0.30E

View verify results for these packages.
Time: 	2007-03-10 09:13:41 CST
--------------------------------------------------------------
Package Verification Results
pit3.spd.analog.com has the following verification errors for the selected packages:
  	1 - 30 of 30   	   
Result 	Package Name 	Filename
Size, Checksum, Modify Time 	wget-1.10.2-0.30E.x86_64 	/etc/wgetrc
Size, Checksum, Modify Time 	wget-1.10.2-0.30E.x86_64 	/usr/bin/wget
Size, Checksum, Modify Time 	wget-1.10.2-0.30E.x86_64 	/usr/share/info/wget.info.gz
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/bg/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/ca/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/cs/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/da/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/de/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/el/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/es/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/et/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/fr/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/gl/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/he/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/hr/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/hu/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/it/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/ja/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/nl/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/no/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/pl/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/pt_BR/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/ru/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/sk/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/sl/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/sv/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/tr/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/uk/LC_MESSAGES/wget.mo
Missing 	wget-1.10.2-0.30E.x86_64 	/usr/share/locale/zh_TW/LC_MESSAGES/wget.mo
Size, Checksum, Modify Time 	wget-1.10.2-0.30E.x86_64 	/usr/share/man/man1/wget.1.gz
--------------------------------------------------------------
Next I know the *glibc* packages (which I really intend to verify) 
have the same problem. 
so I select all teh *glibc* files from the RHN www page for the system for 
verification and I reproduce the problem....

rhn_check --verbose says....
--------------------------------------------------------------
root@pit3.spd.analog.com [1467]%> rhn_check --verbose
Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 345, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 221, in handle_action
    return submit_response(action_id, status, message, data)
  File "/usr/sbin/rhn_check", line 124, in submit_response
    action_id, status, message, data)
  File "/usr/lib64/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 46, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 308, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 168, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 702, in send_http
    response.status, response.reason, response.msg)
xmlrpclib.ProtocolError: <ProtocolError for nwd3rhnsat1.spd.analog.com /XMLRPC:
500 Internal Server Error>
--------------------------------------------------------------

And the even history shows that the system has picked up the event but its not
finished....

--------------------------------------------------------------
Summary:  	Verify deployed packages scheduled by mayuresh
Details: 	This action will be executed after 2007-03-10 09:18:35 CST.

This action's status is: Picked Up.
The client picked up this action on 2007-03-10 09:20:15 CST.
This action has not yet completed this action.
Packages to be verified:

    * glibc-headers-2.3.2-95.37
    * glibc-devel-2.3.2-95.37
    * glibc-2.3.2-95.37
    * glibc-common-2.3.2-95.37
    * glibc-kernheaders-2.4-8.34.2
    * glibc-utils-2.3.2-95.37
    * glibc-profile-2.3.2-95.37

(results not yet available)
Time: 	2007-03-10 09:18:35 CST
--------------------------------------------------------------

There is no way I know of getting this to exit/complete except deleting the 
system and re-registering it.

Regards
Mayuresh
Comment 4 Jiri Pallich 2012-06-20 12:11:20 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.